Package net.sf.saxon.tree.iter

## Class ArrayIterator.OfNodes

- java.lang.Object
- - net.sf.saxon.tree.iter.ArrayIterator<NodeInfo>
  - - net.sf.saxon.tree.iter.ArrayIterator.OfNodes

- All Implemented Interfaces:
    `java.io.Closeable`, `java.lang.AutoCloseable`, `LastPositionFinder`, `SequenceIterator`, `AxisIterator`, `GroundedIterator`, `LookaheadIterator`, `UnfailingIterator`
  Enclosing class:
    ArrayIterator<T extends Item>

      public static class ArrayIterator.OfNodes
      extends ArrayIterator<NodeInfo>
      implements AxisIterator

  ArrayIterator.OfNodes is a subclass of ArrayIterator where the array always contains Nodes; it therefore implements the AxisIterator interface.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.tree.iter.ArrayIterator

      `ArrayIterator.OfNodes`

    - ### Nested classes/interfaces inherited from interface net.sf.saxon.om.SequenceIterator

      `SequenceIterator.Property`

  - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.tree.iter.ArrayIterator

      `end, items, start`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OfNodes​(NodeInfo[] list)` |

  - ### Method Summary

    - ### Methods inherited from class net.sf.saxon.tree.iter.ArrayIterator

      `getArray, getEndPosition, getLength, getProperties, getResidue, getStartPosition, hasNext, makeSliceIterator, materialize, next`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.tree.iter.AxisIterator

      `asIterator, forEachNode, next`

    - ### Methods inherited from interface net.sf.saxon.om.SequenceIterator

      `close, forEachOrFail, getProperties`

    - ### Methods inherited from interface net.sf.saxon.tree.iter.UnfailingIterator

      `forEach, toList`

- - ### Constructor Detail

    - #### OfNodes

          public OfNodes​(NodeInfo[] list)